Package picard.sam.markduplicates.util

## Class PhysicalLocationForMateCigar

- java.lang.Object
- - picard.sam.util.PhysicalLocationInt
  - - picard.sam.util.PhysicalLocationShort
    - - picard.sam.markduplicates.util.PhysicalLocationForMateCigar

- All Implemented Interfaces:
    `PhysicalLocation`

      public class PhysicalLocationForMateCigar
      extends PhysicalLocationShort

  Stores the minimal information needed for optical duplicate detection.

- - ### Field Summary

    - ### Fields inherited from class picard.sam.util.PhysicalLocationInt

      `tile, x, y`

    - ### Fields inherited from interface picard.sam.util.PhysicalLocation

      `NO_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhysicalLocationForMateCigar​(PhysicalLocation rec)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` |
    `short` | `getLibraryId()` |
    `short` | `getReadGroup()` |
    `int` | `hashCode()` |
    `void` | `setLibraryId​(short libraryId)` |
    `void` | `setReadGroup​(short rg)` |

    - ### Methods inherited from class picard.sam.util.PhysicalLocationShort

      `setX, setY`

    - ### Methods inherited from class picard.sam.util.PhysicalLocationInt

      `getTile, getX, getY, setTile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface picard.sam.util.PhysicalLocation

      `hasLocation`

- - ### Constructor Detail

    - #### PhysicalLocationForMateCigar

          public PhysicalLocationForMateCigar​(PhysicalLocation rec)

  - ### Method Detail

    - #### getReadGroup

          public short getReadGroup()

      Specified by:
        `getReadGroup` in interface `PhysicalLocation`
      Overrides:
        `getReadGroup` in class `PhysicalLocationInt`

    - #### setReadGroup

          public void setReadGroup​(short rg)

      Specified by:
        `setReadGroup` in interface `PhysicalLocation`
      Overrides:
        `setReadGroup` in class `PhysicalLocationInt`

    - #### getLibraryId

          public short getLibraryId()

      Specified by:
        `getLibraryId` in interface `PhysicalLocation`
      Overrides:
        `getLibraryId` in class `PhysicalLocationInt`

    - #### setLibraryId

          public void setLibraryId​(short libraryId)

      Specified by:
        `setLibraryId` in interface `PhysicalLocation`
      Overrides:
        `setLibraryId` in class `PhysicalLocationInt`

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`